CC=g++
C_FLAGS=-Wall -c -DLINUX=1
SRC=../../src/ezlmgetmachineinfo.cpp
OBJS=ezlmgetmachineinfo.o
OBJSALL=$(OBJS) 
EXE=../../bin/linux/ezlmgetmachineinfo

$(EXE) : $(OBJSALL)
	$(CC) -o $(EXE) $(OBJSALL)
	@(rm -f $(OBJS))

$(OBJS) : $(SRC)
	$(CC) $(C_FLAGS) -DCALLING_CONVENTION= -D_LINUX -I../../../include $(SRC)
clean:
	@(rm -f $(OBJS) $(EXE))
